Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.fs
Class HardLink.LinkStats

    java.lang.Object
      org.apache.hadoop.fs.HardLink.LinkStats

Enclosing class:
  HardLink

    public static class HardLink.LinkStats

extends Object

HardLink statistics counters and methods. Not multi-thread safe, obviously. Init is called during HardLink instantiation, above. These are intended for use by knowledgeable clients, not internally, because many of the internal methods are static and can't update these per-instance counters.

Field Summary
`int` | `countDirs`
`int` | `countEmptyDirs`
`int` | `countFilesMultLinks`
`int` | `countMultLinks`
`int` | `countPhysicalFileCopies`
`int` | `countSingleLinks`

Constructor Summary
`HardLink.LinkStats()`

Method Summary
`void` | `clear()`
`String` | `report()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### countDirs

    public int countDirs

### countSingleLinks

    public int countSingleLinks

### countMultLinks

    public int countMultLinks

### countFilesMultLinks

    public int countFilesMultLinks

### countEmptyDirs

    public int countEmptyDirs

### countPhysicalFileCopies

    public int countPhysicalFileCopies

Constructor Detail

### HardLink.LinkStats

    public HardLink.LinkStats()

Method Detail

### clear

    public void clear()

### report

    public String report()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation